
from google.appengine.ext import webapp
import datetime

from misc.utils import gen_template
from models.result import Result

class Show(webapp.RequestHandler):
  def get(self):
    q = Result.all().order("posted")
    results = []
    while q.count():
      results.extend(q.fetch(1000))
      q.with_cursor(q.cursor())

    ten_days_ago = datetime.date.today() - datetime.timedelta(days=10)

    bad_phone = []
    bad_address = []
    bad_rent = []
    good = []
    for result in results:
      if result.posted < ten_days_ago:
        continue

      if not result.phone:
        bad_phone.append(result)

      elif not result.address:
        bad_address.append(result)

      elif (not result.rent or result.size == None or
          (result.size == 0 and result.rent > 1000) or
          (result.size == 1 and result.rent > 1200) or
          (result.size == 2 and result.rent > 1400)):
        bad_rent.append(result)

      else:
        good.append(result)

    rows_set = [
        ("Passed Screening", "good", good),
        ("Missing Phone", "bad_phone", bad_phone),
        ("Missing Address", "bad_address", bad_address),
        ("Bad Rent or Unknown Unit Type", "bad_rent", bad_rent)]

    html = gen_template('show.html', locals())
    self.response.out.write(html)

